add logic to handle SRV/DANE names (#3003 and 2526) in GNS resolver
[oweals/gnunet.git] / src / gns / test_gns_lookup.sh
index 85cc1f511d0e3a9d83f405630763241816ebe4cf..ddee5b78dc3856f997799822d1fe5acf113b8ef1 100755 (executable)
@@ -1,31 +1,31 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
-rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
-which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version 1> /dev/null
+if test $? != 0
+then
+       echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
+       exit 77
+fi
+
+rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
+which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
 TEST_IP="127.0.0.1"
-TEST_IP6="dead::beef"
 gnunet-arm -s -c test_gns_lookup.conf
 gnunet-identity -C testego -c test_gns_lookup.conf
 gnunet-namestore -p -z testego -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
-gnunet-namestore -p -z testego -a -n www -t AAAA -V $TEST_IP6 -e never -c test_gns_lookup.conf
 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.gnu -t A -c test_gns_lookup.conf`
-RES_IP6=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.gnu -t AAAA -c test_gns_lookup.conf`
 gnunet-namestore -z testego -d -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
-gnunet-namestore -z testego -d -n www -t AAAA -V $TEST_IP6 -e never -c test_gns_lookup.conf
 gnunet-identity -D testego -c test_gns_lookup.conf
 gnunet-arm -e -c test_gns_lookup.conf
 
-if [ "$RES_IP6" == "$TEST_IP6" ]
-then
-  echo "PASS: Resolved correct IPv6 address, got $RES_IP6"
-else
-  echo "FAIL: Failed to resolve to proper IP, got $RES_IP6."
-  exit 1
-fi
-
 if [ "$RES_IP" == "$TEST_IP" ]
 then
-  echo "PASS: Resolved correct IP address, got $RES_IP"
   exit 0
 else
   echo "FAIL: Failed to resolve to proper IP, got $RES_IP."